"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var BSFieldText_1 = tslib_1.__importDefault(require("./BSFieldText"));
function BSSelectField(props) {
    var _a;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        props.label && (react_1.default.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label)),
        react_1.default.createElement("select", { className: "form-select" + (props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: props.value, disabled: props.disabled, onChange: props.onChange, onBlur: props.onBlur, "aria-describedby": props.describedBy },
            react_1.default.createElement("option", { value: "-placeholder-", disabled: true }, (_a = props.placeholder) !== null && _a !== void 0 ? _a : ''),
            props.options.map(function (option) { return (react_1.default.createElement("option", { key: option.value, value: option.value }, option.label)); })),
        react_1.default.createElement(BSFieldText_1.default, tslib_1.__assign({}, props))));
}
exports.default = BSSelectField;
//# sourceMappingURL=BSSelectField.js.map