"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var BSFieldText_1 = tslib_1.__importDefault(require("./BSFieldText"));
function BSNumberField(props) {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label),
        react_1.default.createElement("input", { type: "number", className: "form-control" + (props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: props.value, placeholder: props.placeholder, disabled: props.disabled, onChange: props.onChange, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        react_1.default.createElement(BSFieldText_1.default, tslib_1.__assign({}, props))));
}
exports.default = BSNumberField;
//# sourceMappingURL=BSNumberField.js.map