import { __assign } from "tslib";
import React from 'react';
import BSFieldText from './BSFieldText';
export default function BSCheckBoxField(props) {
    return (React.createElement("div", { className: "form-check" },
        React.createElement("input", { type: "checkbox", className: "form-check-input" + (props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: props.value, disabled: props.disabled, onChange: props.onChange, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        React.createElement("label", { className: "form-check-label", htmlFor: props.id }, props.label),
        React.createElement(BSFieldText, __assign({}, props))));
}
//# sourceMappingURL=BSCheckBoxField.js.map