import { __assign } from "tslib";
import React from 'react';
import BSFieldText from './BSFieldText';
export default function BSNumberField(props) {
    return (React.createElement(React.Fragment, null,
        React.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label),
        React.createElement("input", { type: "number", className: "form-control" + (props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: props.value, placeholder: props.placeholder, disabled: props.disabled, onChange: props.onChange, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        React.createElement(BSFieldText, __assign({}, props))));
}
//# sourceMappingURL=BSNumberField.js.map