import { __assign } from "tslib";
import React from 'react';
import BSFieldText from './BSFieldText';
export default function BSTextAreaField(props) {
    var _a;
    return (React.createElement(React.Fragment, null,
        React.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label),
        React.createElement("textarea", { rows: (_a = props.rows) !== null && _a !== void 0 ? _a : 6, className: "form-control" + (props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: props.value, placeholder: props.placeholder, disabled: props.disabled, onChange: props.onChange, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        React.createElement(BSFieldText, __assign({}, props))));
}
//# sourceMappingURL=BSTextAreaField.js.map